<?php
namespace SabaiApps\Directories\Component\Notification\Sender;

interface ISender {

	public function notificationSenderInfo( $key = null );
	public function notificationSenderSettingsForm( array $settings, array $messageMeta, array $parents = array() );
	public function notificationSenderSend( array $settings, iterable $messages );
	public function notificationSenderRecipientList( array $settings );
	public function notificationSenderCount( array $settings, iterable $messages );
}
